clear all;

% initialize avi file object.
aviobj = avifile('box.avi','fps',3, 'compression', 'none');  

% title
a = 0; b = 255; c = 200;
v = a + (b-a) * rand(c);
v = (b/2) + zeros(c);

for i = 1:5
    
   % show image
    imagesc(v);
    colormap(gray);
    axis off;
    
    % show text
    text(100,50,'Rotation and Scaling Of a Square','FontSize',14,'FontWeight','bold','Color','k','HorizontalAlignment','center');
    text(100,130,'Jayashree Rameshan','FontSize',16,'FontWeight','normal','Color','k','HorizontalAlignment','center');
    text(100,150,'CIS 601','FontSize',14,'FontWeight','normal','Color','k','HorizontalAlignment','center');

    % store frame
    aviobj = addframe(aviobj,getframe);
	
end

% define the co-ordinates
x=[3, 6, 6, 3,3];
y=[5, 5, 8, 8,5 ];

% rotation angle
ang = pi / 10;          
rsin = sin(ang);
rcos = cos(ang);

for i=1:40 
    switch(rem(i, 7))
    case 0
        plot(x, y );
        fill(x,y,'r');
    case 1
        plot(x, y);
        fill(x,y,'g');
    case 2
        plot(x, y);
        fill(x,y,'b');
    case 3
        plot(x, y);
        fill(x,y,'c');
    case 4
        plot(x, y);
        fill(x,y,'m');
    case 5
        plot(x, y);
        fill(x,y,'y');
    otherwise
        plot(x, y);
        fill(x,y,'k');
    end

        
    axis([-8 10 -5 12]);
    
    %store frame
    aviobj = addframe(aviobj,getframe);
    
    x = x * 0.9;
    y = y * 0.9;
    newx = x * rcos - y * rsin;
    newy= x * rsin + y * rcos;
    x = newx;
    y = newy;
end

for i=41:81    
    switch(rem(i, 7))
    case 0
        plot(x, y);
        fill(x,y,'r');
    case 1
        plot(x, y);
        fill(x,y,'g');
    case 2
        plot(x, y);
        fill(x,y,'b');
    case 3
        plot(x, y);
        fill(x,y,'c');
    case 4
        plot(x, y);
        fill(x,y,'m');
    case 5
        plot(x, y);
        fill(x,y,'y');
    otherwise
        plot(x, y);
        fill(x,y,'k');
    end
    axis([-8 10 -5 12]);
    grid off
    
    %store frame
    aviobj = addframe(aviobj,getframe);
    
    x = x / 0.9;
    y = y / 0.9;
    newx = x * rcos - y * rsin;
    newy= x * rsin + y * rcos;
    x = newx;
    y = newy;
end

% rotation angle
ang = pi / -10;          
rsin = sin(ang);
rcos = cos(ang);

for i=1:40
    switch(rem(i, 7))
    case 0
        plot(x, y );
        fill(x,y,'r');
    case 1
        plot(x, y);
        fill(x,y,'g');
    case 2
        plot(x, y);
        fill(x,y,'b');
    case 3
        plot(x, y);
        fill(x,y,'c');
    case 4
        plot(x, y);
        fill(x,y,'m');
    case 5
        plot(x, y);
        fill(x,y,'y');
    otherwise
        plot(x, y);
        fill(x,y,'k');
    end

        
    axis([-8 10 -5 12]);
    
    %store frame
    aviobj = addframe(aviobj,getframe);
    
    x = x * 0.9;
    y = y * 0.9;
    newx = x * rcos - y * rsin;
    newy= x * rsin + y * rcos;
    x = newx;
    y = newy;
end

for i=41:81    
    switch(rem(i, 7))
    case 0
        plot(x, y);
        fill(x,y,'r');
    case 1
        plot(x, y);
        fill(x,y,'g');
    case 2
        plot(x, y);
        fill(x,y,'b');
    case 3
        plot(x, y);
        fill(x,y,'c');
    case 4
        plot(x, y);
        fill(x,y,'m');
    case 5
        plot(x, y);
        fill(x,y,'y');
    otherwise
        plot(x, y);
        fill(x,y,'k');
    end
    axis([-8 10 -5 12]);
    grid off
    
    %store frame
    aviobj = addframe(aviobj,getframe);
    
    x = x / 0.9;
    y = y / 0.9;
    newx = x * rcos - y * rsin;
    newy= x * rsin + y * rcos;
    x = newx;
    y = newy;
end

for i = 1:3
    
    % show image
    imagesc(v);
    colormap(gray);
    axis off;
    
   
    % show text
    text(100,100,'The End','FontSize',24,'FontWeight','bold','Color','k','HorizontalAlignment','center');

    % store frame
    aviobj = addframe(aviobj,getframe);
	
end

% close avi object
grid off
aviobj = close(aviobj);
    
